Bug 448103 - clock applet misbehaves with "Hotel-type" network access
clock applet misbehaves with "Hotel-type" network access
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Winship
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-05-23 10:10 EDT by Tom London
Modified: 2008-10-22 14:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 14:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-05-23 10:10:30 EDT
Description of problem:
When booting with "hotel type" network access (that is, DHCP provides IP
address, but traffice is blocked until you bring up browser and agree to "rules
of the road"), the clock/weather applet only displays time, not weather.

Even after you click the browser button to agree to the rules and waiting many
minutes, no weather is displayed.

I could not find a menu item nor button that would cause the applet to "resync".

Version-Release number of selected component (if applicable):
gnome-panel-2.23.2.1-1.fc10.i386

How reproducible:
Seems every time

Steps to Reproduce:
1.  Boot system in "hotel setting" (i.e., get valid IP address, but traffic is
blocked)
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Poelstra 2008-10-15 19:20:22 EDT
This bug has been triaged
Comment 2 Matthias Clasen 2008-10-17 09:48:27 EDT
after a chat with dan, it seems hard to make NetworkManager handle these situations much better. So for now, the best fix is probably to just make the clock applet try again (more frequently than the regular 30m) if it fails to get initial weather data.
Comment 3 Dan Winship 2008-10-17 15:28:40 EDT
upstream: http://bugzilla.gnome.org/show_bug.cgi?id=556776
Comment 4 Dan Winship 2008-10-20 11:58:50 EDT
fixed in gnome-panel 2.24.1 which should get pulled into rawhide tonight or tomorrow

Note You need to log in before you can comment on or make changes to this bug.